@echo off
if not exist %WINDIR%\SYSTEM\java.exe goto :mark1
%WINDIR%\SYSTEM\java.exe -classpath .\sendsms.jar com/bai/sendsms/SendSMS
goto :error

:mark1
if not exist %WINDIR%\SYSTEM32\java.exe goto :mark2
%WINDIR%\SYSTEM32\java.exe -classpath .\sendsms.jar com/bai/sendsms/SendSMS
goto :error

:mark2
if not exist %SYSTEMROOT%\SYSTEM32\java.exe goto :mark3
%SYSTEMROOT%\SYSTEM32\java.exe -classpath .\sendsms.jar com/bai/sendsms/SendSMS
goto :error

:mark3
java.exe -classpath .\sendsms.jar com/bai/sendsms/SendSMS


:error
if not errorlevel 1 goto :exit
echo.
echo JRE 1.2 or higher required (http://www.javasoft.com/products/jdk/1.2/jre/index.html)!!!
echo.
pause

:exit
